| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::CMeasurement Class Reference

Data returned for one measurement. More...

`#include <THM1176InstrumentManagerTypes.h>`

Collaboration diagram for MTL::CMeasurement:
[legend]

## Public Member Functions
| CMeasurement ()
| Constructor.
void | clear ()
| Clear the data structure to default values.
bool | operator== (CMeasurement other) const
| Equality operator.
bool | operator!= (CMeasurement other) const
| Inequality operator.

## Public Attributes
CFluxList | Bx
| Bx value for each measurement.
CFluxList | By
| By value for each measurement.
CFluxList | Bz
| Bz value for each measurement.
CTimestampList | TimestampList
| Timestamp for each measurement.
eTHM1176Units | Units
| Measurement units for Bx, By, Bz.
ushort | Temp
| Temperature, in arbitrary units.
sAveraging< uParm > | AveragingParms
| Averaging parameters used for measurement.
sInputTrigger< uParm > | TriggerParms
| Trigger parameters used for measurement.
sRange< uParm > | RangeParms
| Range parameters used for measurement.
sArbitraryMeasurements | OutputSelect
| Output selection parameters used for measurement.
eCommunicationFormat | CommFormat
| Communication parameters used for measurement.
bool | SleepParm
| Sleep parameters used for measurement.
CErrorList | Warnings
| Any warnings returned during the measurement.

## Detailed Description

Data returned for one measurement.

Definition at line 50 of file THM1176InstrumentManagerTypes.h.

## Constructor & Destructor Documentation

## ◆ CMeasurement()

MTL::CMeasurement::CMeasurement | ( |  | ) |
| inline

Constructor.

Definition at line 73 of file THM1176InstrumentManagerTypes.h.

## Member Function Documentation

## ◆ clear()

void MTL::CMeasurement::clear | ( |  | ) |
| inline

Clear the data structure to default values.

Definition at line 79 of file THM1176InstrumentManagerTypes.h.

## ◆ operator!=()

bool MTL::CMeasurement::operator!= | ( | CMeasurement | other | ) | const
| inline

Inequality operator.

Definition at line 121 of file THM1176InstrumentManagerTypes.h.

## ◆ operator==()

bool MTL::CMeasurement::operator== | ( | CMeasurement | other | ) | const
| inline

Equality operator.

Definition at line 99 of file THM1176InstrumentManagerTypes.h.

## Member Data Documentation

## ◆ AveragingParms

sAveraging<uParm> MTL::CMeasurement::AveragingParms

Averaging parameters used for measurement.

Definition at line 62 of file THM1176InstrumentManagerTypes.h.

## ◆ Bx

CFluxList MTL::CMeasurement::Bx

Bx value for each measurement.

Definition at line 54 of file THM1176InstrumentManagerTypes.h.

## ◆ By

CFluxList MTL::CMeasurement::By

By value for each measurement.

Definition at line 55 of file THM1176InstrumentManagerTypes.h.

## ◆ Bz

CFluxList MTL::CMeasurement::Bz

Bz value for each measurement.

Definition at line 56 of file THM1176InstrumentManagerTypes.h.

## ◆ CommFormat

eCommunicationFormat MTL::CMeasurement::CommFormat

Communication parameters used for measurement.

Definition at line 66 of file THM1176InstrumentManagerTypes.h.

## ◆ OutputSelect

sArbitraryMeasurements MTL::CMeasurement::OutputSelect

Output selection parameters used for measurement.

Definition at line 65 of file THM1176InstrumentManagerTypes.h.

## ◆ RangeParms

sRange<uParm> MTL::CMeasurement::RangeParms

Range parameters used for measurement.

Definition at line 64 of file THM1176InstrumentManagerTypes.h.

## ◆ SleepParm

bool MTL::CMeasurement::SleepParm

Sleep parameters used for measurement.

Definition at line 67 of file THM1176InstrumentManagerTypes.h.

## ◆ Temp

ushort MTL::CMeasurement::Temp

Temperature, in arbitrary units.

Definition at line 59 of file THM1176InstrumentManagerTypes.h.

## ◆ TimestampList

CTimestampList MTL::CMeasurement::TimestampList

Timestamp for each measurement.

Definition at line 57 of file THM1176InstrumentManagerTypes.h.

## ◆ TriggerParms

sInputTrigger<uParm> MTL::CMeasurement::TriggerParms

Trigger parameters used for measurement.

Definition at line 63 of file THM1176InstrumentManagerTypes.h.

## ◆ Units

eTHM1176Units MTL::CMeasurement::Units

Measurement units for Bx, By, Bz.

Definition at line 58 of file THM1176InstrumentManagerTypes.h.

## ◆ Warnings

CErrorList MTL::CMeasurement::Warnings

Any warnings returned during the measurement.

Definition at line 70 of file THM1176InstrumentManagerTypes.h.

The documentation for this class was generated from the following file:

- THM1176InstrumentManager/include/THM1176InstrumentManagerTypes.h